Bug 486272 - need a hotmenu for focus-follows-mouse wm
need a hotmenu for focus-follows-mouse wm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 01:34 EST by Matthias Clasen
Modified: 2012-09-04 22:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 22:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-02-19 01:34:07 EST
The toolbar seems useless if "focus-follows-mouse" is turned on, since
it becomes inactive on focus out. This also affects the status icon.

By focus-follows-mouse, I mean the "Select windows when the mouse moves
over them" option in the "Windows" capplet. If you turn that on, and
move the move from the window you are working in towards the toolbar or
statusicon, the window looses focus and the status icon/toolbar turn
inactive, so you can't do whatever you wanted to there in the first
place...
Comment 1 Jens Petersen 2009-03-10 20:32:59 EDT
Matthias, any suggestions on how to handle focus-follow-mouse?

Maybe we need a hotmenu on some hotkey (Ctrl-Shift-Space say?)?
Comment 2 Akira TAGOH 2009-03-12 01:50:35 EDT
It's not only an issue for switching IME but also affects to bring any tool boxes up on the toolbar. speaking of scim-anthy say, it's hard to change the layout and input mode and to bring kasumi up from toolbar etc on focus-follow-mouse mode. which would be implemented in the future.

I'm not sure what's the right thing to do, but it may be a kind of limitation of having different input-context per window.
Comment 3 Akira TAGOH 2009-03-12 02:09:57 EDT
will be implemented for _ibus-anthy_, I meant.

Anyway, how about replacing toolbar with a hotmenu including methods to change something and move the indicators of the status like what current layout/input mode is to the status icon?
Comment 4 Bug Zapper 2009-06-09 07:30:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jens Petersen 2009-06-10 02:46:52 EDT
If we could add a hotkey to bring up the langmenu over the app window for now that would allow some testing of this feature and see how it interacts with focus etc.
Comment 6 Jens Petersen 2009-09-16 00:50:41 EDT
It is impossible to do any mouse operations
on toolbar or panel applet with focus-follows-mouse:
just tested now with awesome.
Comment 7 Bug Zapper 2009-11-16 04:48:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-07-30 06:36:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Admin XMLRPC Client 2010-08-02 02:17:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Akira TAGOH 2011-06-10 07:39:43 EDT
Added a FutureFeature tag since we don't have a toolbar by default.
Apparently there are no better idea to fix it so good to keep open in rawhide rather than any specific releases.
Comment 11 fujiwara 2012-09-04 22:29:02 EDT
We don't have ibus toolbar in f17 or later.

Note You need to log in before you can comment on or make changes to this bug.